import { NotificationDataRow, ToastButton } from '@genesislcap/foundation-notifications';
import { NotificationListener } from '@genesislcap/foundation-ui';
import { NotificationsPlatform } from '@openfin/workspace/notifications';
/**
 * @public
 * @remarks
 * OpenfinToastButton interface which extends ToastButton
 */
export interface OpenfinToastButton extends ToastButton {
    task: string;
}
/**
 * @tagname openfin-notifications-listener
 * @public
 * @remarks
 * This component extends the notification listener class and overrides the logic for showing the toast message to instead dispatch the event to the openfin notifications bus.
 */
export declare class OpenfinNotificationsListener extends NotificationListener {
    notificationsPlatform: NotificationsPlatform;
    toast: string;
    toastButtons: OpenfinToastButton[];
    connectedCallback(): Promise<void>;
    private addButtonListeners;
    protected showNotificationToast(row: NotificationDataRow): Promise<void>;
    private mapToastButtons;
}
//# sourceMappingURL=openfin-notifications-listener.d.ts.map